#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 typst
version:              0.5
visibility:           public
id:                   typst-0.5-BxFyuy4fKhbbhSxlaIdzP
key:                  typst-0.5-BxFyuy4fKhbbhSxlaIdzP
license:              BSD-3-Clause
copyright:            Copyright 2023 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
synopsis:             Parsing and evaluating typst syntax.
description:
    A library for parsing and evaluating typst syntax.
    Typst (<https://typst.app>) is a document layout and
    formatting language. This library targets typst 0.10
    and currently offers only partial support.

category:             Text
abi:                  4d29c97b562ae8bcc3888db8c362be30
exposed:              True
exposed-modules:
    Typst Typst.Evaluate Typst.Methods Typst.Parse Typst.Syntax
    Typst.Types Typst.Util

hidden-modules:
    Typst.Bind Typst.Regex Typst.Show Typst.Module.Standard
    Typst.Module.Math Typst.Module.Calc Typst.MathClass

import-dirs:          /usr/lib/ghc-9.2.8/site-local/typst-0.5
library-dirs:         /usr/lib/ghc-9.2.8/site-local/typst-0.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-typst
hs-libraries:         HStypst-0.5-BxFyuy4fKhbbhSxlaIdzP
depends:
    aeson-2.1.2.1-8ueLuG1qYj9Fbt4mgkSEM3 array-0.5.4.0 base-4.16.4.0
    bytestring-0.11.4.0 cassava-0.5.3.1-7fBWrkCL8g23UIqCwLYVri
    containers-0.6.5.1 digits-0.3.1-91Xlc7vba2eHcewzpLnhyQ
    directory-1.3.6.2 filepath-1.4.2.2 mtl-2.2.2
    ordered-containers-0.2.4-EevVvbapewE9wJtqArks57 parsec-3.1.15.0
    pretty-1.1.3.6 regex-tdfa-1.3.2.2-J4ofX6nqvlhJHKSDmvaDcK
    scientific-0.3.7.0-5LYId1uMyYd6WtLuciLYcq text-1.2.5.0
    time-1.11.1.1 toml-parser-1.3.1.3-LspdnAO4Z254kXWebtXYft
    typst-symbols-0.1.5-88gdpZCk9hecvC3Xgy0SF
    vector-0.13.1.0-IsxGr1wjc8yHuZdiqe6rZF
    xml-conduit-1.9.1.3-AJdg2nPae9k8xYy63nIyRL
    yaml-0.11.11.2-CS6NCqAxhfWDyzwO4NG30p

haddock-interfaces:   /usr/share/doc/haskell-typst/html/typst.haddock
haddock-html:         /usr/share/doc/haskell-typst/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

